#include <stdio.h>
#include <errno.h>
#include <string.h>

#include "pz.h"

static PzWidget *wid;

struct _name {
	char *ch;
	int i;
}
name[] = {

	 {"     ",					11},
	 {"Name: Bob James West",			10},
	 {"Name: Cindy Ellen Watts",			9},
 	 {"Name: Brandon Jermaine Thompson",		8}, 
	 {"Name: Cory Wesley Masterson",		7},
	 {"Name: Steve Jobs",			6}, 
	 {"Name: Bill Gates",				5}, 
	 {"Name: Jannele Westbrook",			4},
	 {"Name: Brenard Matthew Smith",		3}, 
	 {"Name: Jenna Silverman",			2}, 
	 {"Name: Michael Jameson",			1},
	 {"       ",					0}
};

struct _hair {
	char *ch;
	int i;
}
hair[] = {

	 {"     ",					11},
	 {"Hair: White",				10},
	 {"Hair: Brown",				9},
 	 {"Hair: Red",				8}, 
	 {"Hair: White",				7},
	 {"Hair: Brown",				6}, 
	 {"Hair: Brown",				5}, 
	 {"Hair: Brown",				4},
	 {"Hair: Brown",				3}, 
	 {"Hair: Blonde",				2}, 
	 {"Hair: Red",					1},
	 {"       ",					0}
};

struct _age {
	char *ch;
	int i;
}
age[] = {

	 {"     ",					11},
	 {"Age: 54",				10},
	 {"Age: 33",				9},
 	 {"Age: 21",				8}, 
	 {"Age: 26",				7},
	 {"Age: 51",				6}, 
	 {"Age: 666",				5}, 
	 {"Age: 43",				4},
	 {"Age: 15",				3}, 
	 {"Age: 18",				2}, 
	 {"Age: 68",					1},
	 {"       ",					0}
};

struct _eyes {
	char *ch;
	int i;
}
eyes[] = {

	 {"     ",					11},
	 {"Eyes: Hazel",				10},
	 {"Eyes: Brown",				9},
 	 {"Eyes: Blue",				8}, 
	 {"Eyes: Hazel",				7},
	 {"Eyes: Hazel",				6}, 
	 {"Eyes: Red",				5}, 
	 {"Eyes: Brown",				4},
	 {"Eyes: Blue",				3}, 
	 {"Eyes: Blue",				2}, 
	 {"Eyes: Hazel",					1},
	 {"       ",					0}
};

struct _skin {
	char *ch;
	int i;
}
skin[] = {

	 {"     ",					11},
	 {"Pigmentation: White",				10},
	 {"Pigmentation: Black",				9},
 	 {"Pigmentation: Black",				8}, 
	 {"Pigmentation: White",				7},
	 {"Pigmentation: White",				6}, 
	 {"Pigmentation: White",				5}, 
	 {"Pigmentation: Black",				4},
	 {"Pigmentation: White",				3}, 
	 {"Pigmentation: White",				2}, 
	 {"Pigmentation: Black",					1},
	 {"       ",					0}
};

struct _job {
	char *ch;
	int i;
}
job[] = {

	 {"     ",					11},
	 {"Job: Retired",				10},
	 {"Job: Travel Agent",				9},
 	 {"Job: School",				8}, 
	 {"Job: Unemployed",				7},
	 {"Job: Creator of Some Company",				6}, 
	 {"Job: Steals Souls",				5}, 
	 {"Job: Teacher",				4},
	 {"Job: School",				3}, 
	 {"Job: Unemployed",				2}, 
	 {"Job: Retired",					1},
	 {"       ",					0}
};

static int num;
static int sys;
static ttk_color i;

void draw_identity (PzWidget *wid, ttk_surface srf) 
{ 
	ttk_color fg = ttk_ap_getx("window.fg")->color;
	i = 1;

	sys = (wid->x + wid->w)/2;

	if (i >= 1) {
		num = random() % 10 + 1;
	}		

	ttk_text (srf,ttk_textfont,
0, 0, fg,name[num].ch);
	ttk_text (srf,ttk_textfont,
0, 10, fg,hair[num].ch);
	ttk_text (srf,ttk_textfont,
0, 20, fg,age[num].ch);
	ttk_text (srf,ttk_textfont,
0, 30, fg,eyes[num].ch);
	ttk_text (srf,ttk_textfont,
0, 40, fg,skin[num].ch);
	ttk_text (srf,ttk_textfont,
0, 50, fg,job[num].ch);
}


int event_identity (PzEvent *ev) 
{
    switch (ev->type) {
    case PZ_EVENT_BUTTON_UP:
      pz_close_window (ev->wid->win);
        break;
}
return 0;
}

PzWindow *new_identity_window()
{
PzWindow *ret;




    ret = pz_new_window ("Random Identities", PZ_WINDOW_NORMAL);
    pz_add_widget (ret, draw_identity, event_identity);
    return pz_finish_window (ret);
}


void init_identity() 
{
    pz_menu_add_action ("/Extras/Demos/Random Identities", new_identity_window);
}

PZ_MOD_INIT (init_identity);
